# Class: DashboardClient

## DashboardClient

## Constructor

#### new DashboardClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/dashboard'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/dashboard.js, line 5

### Methods

#### getAllDashboards(opts, callback)

Get a list of all dashboards, optionally filtering them.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options to send to the Jira API

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`filter` |  | <optional> | An optional filter that is applied to the list of dashboards. Valid values include "favourite" for returning only favourite dashboards, and "my" for returning dashboards that are owned by the calling user.
`startAt` |  | <optional> | The index of the first dashboard to return (0-based). must be 0 or a multiple of maxResults

`maxResults`

<optional>

A hint as to the the maximum number of dashboards to return in each call. Note that the JIRA server reserves the right to impose a maxResults limit that is lower than the value that a client provides, dues to lack or resources or any other condition. When this happens, your results will be truncated. Callers should always check the returned maxResults to determine the value that is effectively being used.

`callback` |  | Called when the dashboards have been retrieved.

Source:
  - api/dashboard.js, line 13

#### getDashboard(opts, callback)

Get a single dashboard.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`dashboardId` |  | The dashboard id.

`callback` |  | Called when the dashboard has been retrieved

Source:
  - api/dashboard.js, line 47